<?php
define('NTLCMS', 1);
$module = 'str';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
if (!isset($_GET['url']) or $_GET['url'] == NULL){
echo '<div class="title"><center>Переход по внешней ссылке</center></div>';
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Данные не переданы!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
include ('../system/foot.php');
exit;
}
preg_match('@^(?:http://)?([^/]+)@i', $_GET['url'], $matches);
$host = $matches['1'];
preg_match('/[^.]+\.[^.]+$/', $host, $matches);
if ($matches['0'] == $_SERVER["HTTP_HOST"]){
header('location: '.$_GET['url']);
}
echo '<div class="title"><b>'.razd.' Переход по внешней ссылке</b></div>';
echo '<div class="menu"><center>
Вы переходите по внешней ссылке и покидаете '.strtoupper($_SERVER['HTTP_HOST']).'<br/>
<b>Ссылка: '.checkout($_GET['url']).'</b><br/>
Администрация ресурса '.strtoupper($_SERVER['HTTP_HOST']).' не несет ответственности за содержание данной ссылки.<br/>
Убедитесь что данная ссылка полностью является доверенной и ограждена от вредоносных влияний.<br/>
Если же ссылка показалась вам подозрительной, уважительная просьба по возможности сообщать администрации проекта.<br/>
<a href="'.checkout($_GET['url']).'">Перейти на '.checkout($_GET['url']).'</a>, либо <a href="/">вернуться назад</a><br/>
С уважением администрация '.strtoupper($_SERVER['HTTP_HOST']).'.<br/>Приятного сёрфинга!</center></div>';
include ('../system/foot.php');
?>